# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.nodes_api import NodesApi  # noqa: E501
from swagger_client.rest import ApiException


class TestNodesApi(unittest.TestCase):
    """NodesApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.nodes_api.NodesApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_copy_node(self):
        """Test case for copy_node

        Copy a node  # noqa: E501
        """
        pass

    def test_create_association(self):
        """Test case for create_association

        Create node association  # noqa: E501
        """
        pass

    def test_create_node(self):
        """Test case for create_node

        Create a node  # noqa: E501
        """
        pass

    def test_create_secondary_child_association(self):
        """Test case for create_secondary_child_association

        Create secondary child  # noqa: E501
        """
        pass

    def test_delete_association(self):
        """Test case for delete_association

        Delete node association(s)  # noqa: E501
        """
        pass

    def test_delete_node(self):
        """Test case for delete_node

        Delete a node  # noqa: E501
        """
        pass

    def test_delete_secondary_child_association(self):
        """Test case for delete_secondary_child_association

        Delete secondary child or children  # noqa: E501
        """
        pass

    def test_get_node(self):
        """Test case for get_node

        Get a node  # noqa: E501
        """
        pass

    def test_get_node_content(self):
        """Test case for get_node_content

        Get node content  # noqa: E501
        """
        pass

    def test_list_node_children(self):
        """Test case for list_node_children

        List node children  # noqa: E501
        """
        pass

    def test_list_parents(self):
        """Test case for list_parents

        List parents  # noqa: E501
        """
        pass

    def test_list_secondary_children(self):
        """Test case for list_secondary_children

        List secondary children  # noqa: E501
        """
        pass

    def test_list_source_associations(self):
        """Test case for list_source_associations

        List source associations  # noqa: E501
        """
        pass

    def test_list_target_associations(self):
        """Test case for list_target_associations

        List target associations  # noqa: E501
        """
        pass

    def test_lock_node(self):
        """Test case for lock_node

        Lock a node  # noqa: E501
        """
        pass

    def test_move_node(self):
        """Test case for move_node

        Move a node  # noqa: E501
        """
        pass

    def test_request_node_direct_access_url(self):
        """Test case for request_node_direct_access_url

        Generate a direct access content URL  # noqa: E501
        """
        pass

    def test_unlock_node(self):
        """Test case for unlock_node

        Unlock a node  # noqa: E501
        """
        pass

    def test_update_node(self):
        """Test case for update_node

        Update a node  # noqa: E501
        """
        pass

    def test_update_node_content(self):
        """Test case for update_node_content

        Update node content  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
